Package org.linphone.core

# Enum Class MediaEncryptionError

java.lang.Object
java.lang.Enum<MediaEncryptionError>
org.linphone.core.MediaEncryptionError

All Implemented Interfaces:
  `Serializable`, `Comparable<MediaEncryptionError>`, `Constable`

public enum MediaEncryptionError extends Enum<MediaEncryptionError>
Enum describing the error encountered by the media encryption layer.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DtlsCertificateSubjectMismatch`
DTLS handshake went well and verified the certificate but it does not hold a
SAN or CN matching peer's sip uri.
`DtlsCertificateVerificationFail`
Could not verify peer's certificate during DTLS handshake.
`DtlsHandshakeFail`
DTLS handshake failure (could be from an alert received from peer)
`None`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static MediaEncryptionError`
`fromInt(int value)`
`protected static MediaEncryptionError[]`
`fromIntArray(int[] values)`
`int`
`toInt()`
`protected static int[]`
`toIntArray(MediaEncryptionError[] values)`
`static MediaEncryptionError`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MediaEncryptionError[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### None

public static final MediaEncryptionError None

### DtlsCertificateVerificationFail

public static final MediaEncryptionError DtlsCertificateVerificationFail
Could not verify peer's certificate during DTLS handshake.

### DtlsCertificateSubjectMismatch

public static final MediaEncryptionError DtlsCertificateSubjectMismatch
DTLS handshake went well and verified the certificate but it does not hold a
SAN or CN matching peer's sip uri.

### DtlsHandshakeFail

public static final MediaEncryptionError DtlsHandshakeFail
DTLS handshake failure (could be from an alert received from peer)

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static MediaEncryptionError[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static MediaEncryptionError valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static MediaEncryptionError fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### fromIntArray

protected static MediaEncryptionError[] fromIntArray(int[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toIntArray

protected static int[] toIntArray(MediaEncryptionError[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()